/* This file is part of tctswitch
   Copyright © 2007 Nokia Corporation and/or its subsidiary(-ies).
   Contact: Petr Baranov petr.baranov@nokia.com

  This program is free software: you can redistribute it and/or modify it under the terms
  of the GNU (Lesser) General Public License as published by the Free Software Foundation,
  version 2 of the License.This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU (Lesser) General Public License for more details.
  You should have received a copy of the GNU (Lesser) General Public License along with this program.
  If not, see <http://www.gnu.org/licenses/>
*/
import QtQuick 1.1
import com.meego 1.0

PageStackWindow {
    id: rootWindow



    initialPage: Page{

        id:mainpage

        Flickable {
            id: flickable
            anchors.fill: parent
            contentWidth: col.width
            contentHeight: col.height
            flickableDirection: Flickable.VerticalFlick


            Column{
                id: col
                spacing: 30
                anchors.top: parent.top
                anchors.topMargin: 50
                anchors.horizontalCenter: parent.horizontalCenter
                width:  400

                Row {
                    Item {width: 200; height: 70; Label{text: "Host address:"}}
                    TextField {id: address;
                               inputMethodHints: Qt.ImhNoPredictiveText;
                               text: "192.168.2.14";onTextChanged:{ Run.clean("YARI_REMOTE_HOST"); Run.set("YARI_REMOTE_HOST",address.text+":7777");}}
                }

                Row {
                    Item{width: 300; height: 70; Label{text: "Sensors";}}
                    Switch{id: sensors;onCheckedChanged:{ Run.setSensors(sensors.checked);Run.update()}}
                }

                Row{
                    Item{width: 300; height: 70;Label{text: "Feedback"}}
                    Switch{id: feedback;onCheckedChanged:{ Run.setFeedback(feedback.checked);Run.update()}}
                }

                Row{
                    Item{width: 300; height: 70;Label{text: "Location"}}
                    Switch{id: location;onCheckedChanged:{ Run.setLocation(location.checked);Run.update()}}
                }

                Row{
                    Item{width: 300; height: 70;Label{text: "Multimedia"}}
                    Switch{id: multimedia;onCheckedChanged:{ Run.setMultimedia(multimedia.checked);Run.update()}}
                }

                Row{
                    Item{width: 300; height: 70;Label{text: "Organizer"}}
                    Switch{id: organizer;onCheckedChanged:{ Run.setOrganizer(organizer.checked);Run.update()}}
                }

                Row{
                    Item{width: 300; height: 70;Label{text: "SystemInfo"}}
                    Switch{id: systeminfo;onCheckedChanged:{ Run.setSystemInfo(systeminfo.checked);Run.update()}}
                }

                Row{
                    Item{width: 300; height: 70;Label{text: "Contacts"}}
                    Switch{id: contacts;onCheckedChanged:{ Run.setContacts(contacts.checked);Run.update()}}
                }
            }
        }
        Component.onCompleted: {
         theme.inverted= true;
            Run.set("YARI_REMOTE_HOST","192.168.2.14:7777");

        }
        Component.onDestruction: {
            Run.clean("LD_PRELOAD");
            Run.clean("YARI_REMOTE_HOST")
        }

    }

}

